#ifndef CMWCALILASERPATH_H
#define CMWCALILASERPATH_H

#include "cmwidget.h"
#include <QTableWidgetItem>
#include "export_laser_power_cali.h"
namespace Ui {
class CMWCaliLaserPath;
}

class LASER_POWER_CALI_EXPORT CMWCaliLaserPath : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCaliLaserPath(QWidget *parent ,int iLaserPathID);
    int m_iLaserPathID;
    ~CMWCaliLaserPath();
    void MInit();
    void MFresh();
    void MApply();
    void MFresh5050table();
    void MFreshOffsetTable();

    void MApplyParam();
    void MApply5050table();
    void MApplyOffsetTable();
    int  m_iCurSelOffset;
private slots:
    void on_tableWidget_5050_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);

    void on_tableWidget_Offset_cellClicked(int row, int column);

    void on_pushButton_ADD_clicked();

    void on_pushButton_Delete_clicked();

    //void on_pushButton_Calculate_clicked();

private:
    Ui::CMWCaliLaserPath *ui;
};

#endif // CMWCALILASERPATH_H
